Subject: Re: bug#53329: Integrated keyboard doesn't work (Lenovo N22)

From: Jack Ridehalgh <[email-masked]>
Date: Tue, 18 Jan 2022 23:39:14 +0000

Hi Leo,

Hopefully this email from my phone will display okay, it's a little late here.

I can confirm the built-in kernel module in branch wip-fix-53329 has fixed the keyboard issue on my laptop. With regards to trying 4.4-lts, I would get a black screen on boot so I couldn't test that.

Thank you for your help with this, I look forward to using Guix.

Jack

On 18 Jan 2022 02:29, Leo Famulari <[email-masked]> wrote:

On Mon, Jan 17, 2022 at 06:15:50PM -0500, Leo Famulari wrote:
> I'll make a Git branch in our repo that you can pull from to test the
> fix.

Try pulling from the wip-fix-53329 branch and reconfiguring your system
based on that. I've arranged to have a substitute for the x86_64 kernel
on that branch.

`guix pull --branch=wip-fix-53329 && guix system reconfigure ...`

https://git.savannah.gnu.org/cgit/guix.git/log/?h=wip-fix-53329